@font-face {
    font-family: 'DINBEKBold';
    src: url("../fonts/DINBEKBold.ttf") format('truetype');
}
body {
    background-color: #FFDA00;
    font-family:"DINBEKBold",'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif;
    justify-content: center;
    align-items: center;
    margin: 0;
    min-width: fit-content;
}
.page-container{
    width: calc(90%-2em);
    margin: 2em;
    min-width: fit-content;
}

h1 {
    font-size: 57pt;
    margin-bottom: 0pt;
    letter-spacing: -0.05em;
}
.radiobox {
    display: inline-block;
    outline: 1px solid black;
    background-color: #FFDA00;
    color: black;
    position: relative;
    z-index: 0;
    padding:0.5em;
    margin:0px;
    cursor: pointer;
    width: 16ex;
    height: calc(100% - 1em);
    text-align:center;
    >img{
        opacity: 40%;
    }
    >a{
        opacity: 40%;
    }
    transition: all .3s ease-in-out;
}
.noCircleRadio {
    display: none;
    &:checked{
        +.radiobox {
            background-color: #FFDA00;
            color:black;
            outline-width: 2px 2px 4px 2px;
            >img{
                opacity: 100%;
            }
            >a{
                opacity: 100%;
            }
            transition: all 0.3s ease-in-out;
            outline: 3px solid black;
            z-index: 10;
            /*> .icon {
                filter: invert(0%) sepia(100%) saturate(13%) hue-rotate(346deg) brightness(97%) contrast(102%);
                
            }*/
        }
        +.radiobox2 {
            background-color: #FFDA00;
            color:black;
            transition: all .3s ease-in-out;
            outline: 3px solid black;
            z-index: 10;
            height: 1.2em;
            white-space: nowrap;
        }
        
    }   
}

.icon{
    width: 3em;
    height: 3em;
    /*filter: invert(68%) sepia(97%) saturate(452%) hue-rotate(360deg) brightness(106%) contrast(106%);
    */
    filter: invert(0%) sepia(100%) saturate(13%) hue-rotate(346deg) brightness(97%) contrast(102%);
    
}

.horizontalRadio {
    width: fit-content;
    position: relative;
    background-color: #FFDA00;
    display: flex;
    flex-wrap: wrap;
    column-gap: 1px;
    row-gap: 1px;
    flex-basis: 50%;
}
.horizontalRadio label:nth-child(3){
    margin-right: 18ex;
}
.horizontalRadio label:nth-child(4){
    margin-left: -18ex;
}
.rightsideText{
    font-weight: 50;
    font-size: 8pt;
    font-family:'Courier New', Courier, monospace;
    margin-bottom: 0.4em;
    white-space: nowrap;
}
h3{
    margin-bottom: 0px;
    margin-top: 1em;
    position: relative;
    width: fit-content;
    letter-spacing: -0.05em;
    font-size: 17pt;
}
h3::after{
    position: absolute;
    content: "_";
    font-weight: bolder;
    font-size: 50pt;
    bottom: 0%;
    left: calc(100% + 7px);

}

.container34 {
    display: flex;
    column-gap: 2rem;
    flex-wrap: wrap;
    #container3{
        flex: 1;
    }
    #container4{
        flex: 1;
    }
}
.radiobox2{
    background-color: #FFDA00;
    color: black;
    padding:0.5em;
    outline: 1px solid black;
    margin:0px;
    cursor: pointer;
    position: relative;
    z-index: 1;
    text-align:center;
    display: flex;
    flex-basis: 100%;
    flex-grow: 1;
    flex:1;
    height: 1.2em;
    white-space: nowrap;
    transition: all .3s ease-in-out;
}
.horizontalRadio2 {
    background-color: #FFDA00;
    position: relative;
    display: flex;
    padding-left: -1px;
    user-select: none;
}
.typeselector {
    display:flex;
    align-items: stretch;
}

#birimkw:checked ~div.horizontalRadio2 #labelelem-birimkw div{
    background-color: #FFDA00;
    color:black;
    outline: 3px solid black;
    z-index: 10;
}

#birimhp:checked ~div.horizontalRadio2 #labelelem-birimhp div{
    background-color: #FFDA00;
    color:black;
    outline: 3px solid black;
    z-index: 10;
}


#cfminput:checked ~div.horizontalRadio2 #labelelem-birimcfm div{
    background-color: #FFDA00;
    color:black;
    outline: 3px solid black;
    z-index: 10;
}
#ltdakinput:checked ~div.horizontalRadio2 #labelelem-birimltdak div{
    background-color: #FFDA00;
    color:black;
    outline: 3px solid black;
    z-index: 10;
}
#m3dakinput:checked ~div.horizontalRadio2 #labelelem-birimm3dak div{
    background-color: #FFDA00;
    color:black;
    outline: 3px solid black;
    z-index: 10;
}

.barleft{
    border: 1px dashed black;
    margin-left:1em;
    height: 20px;
    min-width:50px;
    margin-top: 1.5em;
    margin-bottom: 0.2em;
}
.barright{
    border: 1px dashed black;
    margin-right: 1em;
    min-width:50px;
    height: 20px;
    margin-top: 1.5em;
    margin-bottom: 0.2em;
}
#motorgucu:checked ~ .typeselector #labelelem-motorgucu  {
    .barleft{
        border:1px solid black;
        background-color: black;
        transition: all .3s ease-in;
    }
    #label-motorgucu{
        opacity: 100%;
        text-decoration: underline;
        transition: all .3s ease-in;
    }
}
#kapasite:checked ~ .typeselector #labelelem-kapasite{
    .barright{
        border:1px solid black;
        background-color: black;
        transition: all .3s ease-in;
    }
    #label-kapasite{
        opacity: 100%;
        text-decoration: underline;
        transition: all .3s ease-in;
    }
}
#motorgucu:checked ~ #mgkapinfo::after {
    content: "Lütfen Motor Gücü Birimini ve Değerini Seçiniz";
}
#kapasite:checked ~ #mgkapinfo::after {
    content: "Lütfen Serbest Hava Verimi Birimini ve Değerini Seçiniz";
}
#kapasite:checked ~ #mgkapinfo.pistonlu::after {
    content: "Lütfen Hava Emiş Kapasitesi (Deplasman) Birimini ve Değerini Seçiniz.";
}
#motorgucu:checked ~ #kapasite-container{
    display: none;
}
#kapasite:checked ~ #motorgucu-container {
    display: none;
}

#m3dakinput:not(:checked) ~ div.selectunitcontainer#m3dakdiv{
    display: none;
}
#ltdakinput:not(:checked) ~ div.selectunitcontainer#ltdakdiv{
    display: none;
}
#cfminput:not(:checked) ~ div.selectunitcontainer#cfmdiv{
    display: none;
}

#birimhp:not(:checked) ~ div.selectunitcontainer#hpdiv{
    display: none;
}
#birimkw:not(:checked) ~ div.selectunitcontainer#kwdiv{
    display: none;
}

#label-motorgucu, #label-kapasite{
    opacity: 40%;
}

#kwselect, #m3dakselect{
    background-color: transparent;
    color:#000000;
    width: 70%;
    border: 1px solid black;
    outline: 0px;
    padding: 0.6em;
    font-family: "DINBEKBold";
    :after{
        content: "kW";
    }
}

.selectunitcontainer{
    display: flex;
    justify-content: center;
    column-gap: 1em;
}
.unit{
    margin:0px;
    width: 30%;
    text-align: center;
    position: relative;
    top: 50%;
    transform: translateY(25%);
}
.tooltipbox{
    position: absolute;
    z-index: 1;
    bottom: 100%-20px;
    margin:10px;
    padding: 10px;
    outline: 5px solid black;
    left:0;
    background-color: #000000;
    border: 1px dashed #FFDA00;
    width: 100%-20px;
}

.selector{
    background-color: transparent;
    color:#000000;
    width: 70%;
    border: 1px solid black;
    outline: 0px;
    padding:0.5em;
    font-size: 11pt;
    font-family: "DINBEKBold";
}
.minmaxlabel{
    padding: 0;
    margin:0;
    position: relative;
    top:0.5em;
}
input[type="number"]{
    background-color: #FFDA00;
    color: black;
    font-family:"DINBEKBold",'Franklin Gothic Medium', 'Arial Narrow', Arial, sans-serif; ;
    padding:0.65em;
    padding-left:0;
    padding-right:0;
    border: 1px solid black;
    margin:0px;
    cursor: pointer;
    position: relative;
    z-index: 1;
    text-align:center;
}
.slidecontainer {
    width: 100%;
    height: 100%;
    margin: 5px;

    /* Width of the outside container */
}

/* The slider itself */
input[type="range"] {
    -webkit-appearance: none;
    /* Override default CSS styles */
    appearance: none;
    width: 95%;
    /* Full-width */
    height: 10px;
    /* Specified height */
    background: transparent;
    /* Grey background */
    border: 1px dashed black;
    /* Remove outline */
    /* Set transparency (for mouse-over effects on hover) */
    -webkit-transition: .2s;
    /* 0.2 seconds transition on hover */
    transition: opacity .2s;
}

/* Mouse-over effects */
input[type="range"]:hover {
    opacity: 1;
    /* Fully shown on mouse-over */
}

/* The slider handle (use -webkit- (Chrome, Opera, Safari, Edge) and -moz- (Firefox) to override default look) */
input[type="range"]::-webkit-slider-thumb {
    -webkit-appearance: none;
    /* Override default look */
    appearance: none;
    width: 25px;
    /* Set a specific slider handle width */
    height: 20px;
    /* Slider handle height */
    background: black;
    /* Green background */
    cursor: pointer;
    /* Cursor on hover */
}

input[type="range"]::-moz-range-thumb {
    width: 25px;
    /* Set a specific slider handle width */
    height: 20px;
    /* Slider handle height */
    background: black;
    /* Green background */
    cursor: pointer;
    /* Cursor on hover */
}


.gapless{
    column-gap: 0;
}

.multirange {
    box-sizing: border-box;
    appearance: none;
    position: absolute;
    width: 300px;
    margin: 0;
    padding: 0 2px;
    /* Add some L/R padding to ensure box shadow of handle is shown */
    overflow: hidden;
    border: 0;
    border-radius: 1px;
    outline: none;
    background: linear-gradient(grey, grey) no-repeat center;
    /* Use a linear gradient to generate only the 2px height background */
    background-size: 100% 2px;
    pointer-events: none;

    &:active,
    &:focus {
        outline: none;
    }

    &::-webkit-slider-thumb {
        height: 28px;
        width: 28px;
        border-radius: 28px;
        background-color: #fff;
        position: relative;
        margin: 5px 0;
       /* Add some margin to ensure box shadow is shown */
        cursor: pointer;
        appearance: none;
        pointer-events: all;
        box-shadow: 0 1px 4px 0.5px rgba(0, 0, 0, 0.25);
        z-index: 10;
        &::before {
            content: ' ';
            display: block;
            position: absolute;
            top: 13px;
            left: 100%;
            width: 2000px;
            height: 2px;
        }
    }
}
.kompitem{
    background-color:white;
    padding: 1em;
    .kompname{
        font-size: 17pt;
        font-weight: bolder;
        white-space: nowrap;
        margin:0;
    }
    .kompname::after{
        content: "";
        margin:0;
    }
}

#veya_p{
    margin:0;
    margin-inline:0.5em;
    white-space: nowrap;
    margin-top: 1.5em;
}
.kompitemlist{
    margin-block-start: 0em;
    margin-block-end: 0em;
    margin-inline-start: 0px;
    margin-inline-end: 0px;
    padding-inline-start: 0;
}
.pagination{    
    display: flex;
    justify-content: center;
    text-align:center;
    padding: 0;
}
.pagination li.active{
    background-color: #000000;
    >a:-webkit-any-link {
        color: #fff ;
        cursor: pointer;
        text-decoration: underline;
    }
}
.pagination li{
    display:inline-block;
    padding: 0.5em;
    color:#000000;
    >a:-webkit-any-link {
        color: black;
        cursor: pointer;
        text-decoration: underline;
    }
    
}
.komptable{
    width: 100%;
}
#kompitemdiv{
    margin-top: 2em;
}
table {
    border-collapse: collapse;
}
td,th{
    border: 2px solid #FFDA00;
    padding: 5px;
    background-color: white;
}

.headerPanel{
    height: 5em;
}

.minmaxPanel, .unitPanel{
    font-size: 10pt;
}

header{
    display: flex;
    background-color: white;
    padding: 1em;
    flex-wrap: wrap;
    justify-content:center;
    align-items: center;
    column-gap: 1em;
}

header .pgtitle{
    font-size: 2em;
}

header .hlogo img{
    max-height: 4em;
}
header .hbuttons{
    width: 100%;
    display: flex;
}
header .hbuttons a{
    text-decoration: underline;
    color:#000000;
    display: block;
    width: 100%;
    text-align: center;
    cursor:pointer;
}

@media (min-width: 710px) {
    header .pgtitle {
      font-size: 3em; /* Reduce font size at larger breakpoints */
    }
    header{
        display: flex;
        background-color: white;
        padding: 1em;
        padding-left: 5em;
        flex-wrap: wrap;
        justify-content:left;
        align-items: left;
        column-gap: 1em;
    }
    .page-container{
        justify-content: center;
        width: calc(95%-5em);
        margin: 5em;
        margin-top: 2em;
    }
    label#label-motorgucu{
        font-size:15pt;
    }
    
  }

#mw{
    position:fixed;
    width: 100vw;
    height: 100vh;
    top:0;
    left:0;
    z-index:1000;
}

#mw_bg{
    width: 100%;
    height: 100%;
    background-color: #000000;
    opacity: 50%;
}

.hidden{
    display: none;
}

#mw_calc_popup{
    position:absolute;
    width: 100%;
    bottom: 100%;
    background-color: #FFDA00;
    height: fit-content;
    border: 1px solid black ;
    box-sizing: border-box;
    z-index: 1002;
    transition: max-height 0.5s ease-in-out;
    overflow: hidden;
}

.mw_calc_inputcontainer{
    border: 1px solid black;
    margin:0.5em;
    font-family: monospace;
}

div.mw_calc_inputcontainer table tbody tr td{
    border:0;
}

div.mw_calc_inputcontainer table{
    border-collapse: collapse;
    width: 100%;
}
div.mw_calc_inputcontainer table tbody tr td{
    border: 1px solid black;
    white-space: nowrap ;
}
div.mw_calc_inputcontainer table tbody tr td.info{
    width: 80%;
}
div.mw_calc_inputcontainer table tbody tr td input{
    width: calc(100% - 10px);
    font-family: monospace;
    min-width: 10ex;
}
div.mw_calc_inputcontainer table tbody tr td.center{
    width: 50%;
    text-align: center;
    user-select: all;
}
div.mw_calc_inputcontainer table tbody tr td button{
    border:1px solid black;
    background-color: #FFDA00;
    font-family: monospace;
    font-weight: bold;
    padding: 0.2em;
    padding-inline: 0.5em;
    user-select: none;
    cursor:pointer;
}

span.larger{
    font-weight:900;
    font-size:1.8em;
    padding-inline: 0.3em;
    position: relative;
    bottom:0.25em;
}
#sortdescasc{
    background-color: transparent;
    color:#000000;
    border: 1px solid black;
    outline: 0px;
    padding: 0.2em;
    margin-left: 0.4em;
    font-family: "DINBEKBold";
    :after{
        content: "kW";
    }
}